package com.community.huiju.model;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 账单流水表
 * </p>
 *
 * @author weiximei
 * @since 2019-02-13
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("tp_bill_statement")
public class BillStatement implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 小区id
     */
    private Integer communityId;

    /**
     * 缴费单id
     */
    private Integer billInvoiceId;

    /**
     * app 用户id
     */
    private Integer taUserId;

    /**
     * 收费金额
     */
    private Integer payPrice;

    /**
     * 缴费人
     */
    private String payName;

    /**
     * 缴费备注
     */
    private String payRemark;

    /**
     * 缴费方式  0：微信支付  1：线下缴费
     */
    private String payType;

    /**
     * 生成流水时间
     */
    private LocalDateTime createTime;


}
